body {
  font-family: Arial, Helvetica, sans-serif;
  background-color: #f0f0f0;
  text-align: center;
  margin: 0;
  padding: 0;
  font-size: 12px;
}

input[type="text"] {
  width: 50%;
  padding: 10px;
  margin: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
}
  
input[type="submit"] {
  background-color: #2ca34a; 
  color: #fff; 
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}
  
input[type="submit"]:hover {
  background-color: #2e9247; 
}
  
.header .titulo{
  margin-top: 8px;
  margin-bottom: 6px;
}

.header .titulo IMG{
  margin-left: 25%;
}

.buttons{
  margin-bottom: 16px;
}

.datosficha{
  margin-bottom: 5px;
}
  
table .input{
  margin-bottom: 1000px;
}
.titulo table{
  margin-top: -40px;
}
  
table {
  margin: 0 auto; 
  border-collapse: collapse;
  width: 90%; 
  max-width: 1000px; 
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

th, td {
  padding: 4px;
  text-align: left;
  border: 1px solid #ddd;
}
  
th {
  background-color: #f2f2f2; 
}
  
td.dias {
  background-color: #f2f2f2; 
}
  
a {
  color: #2e9247;
}
  
a:hover {
  text-decoration: underline; 
}
  
.Calendario {
  margin: 0 auto;
  border-collapse: collapse;
  width: 90%; 
  max-width: 1000px; 
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); 
  font-size: 12px;
}
  
.Calendario td {
  padding: 5px;
  text-align: center;
  border: 1px solid #ddd;
  width: 50px;
  height: 30px;
}
  
.Calendario th {
  padding: 10px;
  text-align: center;
  border: 1px solid #ddd;
  background-color: #f2f2f2;
}
  
.Calendario tr:first-child {
  background-color: #eee; 
} 
  
.Calendario tr:nth-child(2) {
  background-color: #f2f2f2; 
}

.Calendario tr:nth-child(2) td {
  font-weight: bold; 
}
  
.Calendario .event .description {
  font-size: 12px;
}
  
  /* Responsive */
@media (max-width: 768px) {
  table, .Calendario {
    justify-content: center;
    width: 100%; 
  }
  
  th, td {
    padding: 8px; 
  }
  
  .Calendario td {
    width: auto; 
    height: auto; 
  }
  
  .titulo {
    font-size: 16px; 
  }
}
  
@media (max-width: 480px) {  
  th, td {
    padding: 5px; 
    font-size: 12px;
  }
  
  .titulo {
    font-size: 14px;
  }
  
  .Calendario td {
    font-size: 10px; 
  }
  
  table form {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
}
  